Subject: [Isms] BEEP as a transport for X

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 16 Aug 2005 16:38:14 +0200

I saw some side conversations and polled for additional info.
I got the following information on BEEP which I think will
be good to know for this WG. Specifically, because (as far
I have always understood the WG charter) the WG is trying
to find a solution to allow SNMPv3 to be much better 
intergrated with (existing) operational security 
infrastructure.

Bert
-------------- fowarding with permission

>From Andy Newton:
>>
>> The problem we faced in the CRISP working group is that BEEP
>> was just too much for the simple request/response protocol
>> we have developed.
>> While there are new libraries now from both IBM and Apple
>> which I have not had the chance to use, it seemed that most
>> of the libraries we found were incomplete, out-and-out
>> vaporware, or incredibly frustrating to understand from
>> the API perspective.
>>
>> Now, if the question is "which is easier to implement,
>> BEEP or SSH?" I'll bet that BEEP is the answer.
>> But there are some pretty rock-solid implementations of
>> SSH out there that surpass anything I have seen with BEEP.
>>
>> I like BEEP.  I think it is a cool design.  But the simple
>> fact is that if your implementers want something easy to
>> build or something easy to re-use, BEEP is not that (yet).
>>
>> -andy
>>

>From LEslie Daigle:

>>>>> Subject: Arch....? Re: Notifications in LEMONADE
>>>>>
>>>>> So, BEEP is an interesting beast.
>>>>>
>>>>> *Architecturally*, it is the right direction.  But, it is falling
>>>>> down in reality because a) Marshall's attention moved on, and
>>>>> b) the implementations are unwieldy.  That is, if you don't
>>>>> need all of the features of BEEP, finding your way into
>>>>> the spottily-implemented and worse-documented libraries
>>>>> is *ugly*.
>>>>>
>>>>> This, by the way, is why CRISP developed a non-BEEP tranport
>>>>> for IRIS after the original BEEP one.  And there have been
>>>>> more implementations by key stakeholders *because* of that
>>>>> change.
>>>>>
>>>>> Sigh.  Sometimes the architecturally right thing gets undermined
>>>>> by practical realities.
>>>>>
>>>>> Leslie.
>>>>>

_______________________________________________
Isms mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isms